import { OnInit, EventEmitter } from '@angular/core';
import { AuthService } from '../../workflow-services/auth.service';
import { PolicyService } from '../../workflow-services/policy.service';
import { SnackBarService } from '../../ui-kit/snack-bar/snack-bar.service';
import { ResponsibilityService } from '../../workflow-services/responsibility.service';
import * as i0 from "@angular/core";
export declare class FormatAndEvidenceComponent implements OnInit {
    private responsibilityService;
    private policyService;
    private authService;
    private snackbarService;
    ASSETS: {
        responsibility_center: string;
        case_type: string;
        case_category: string;
        when: string;
        what: string;
        case_resolution_deadline: string;
        case_assignees: string;
        format_evidence: string;
        case_owners: string;
        link_controls: string;
        link_items: string;
        spreadsheet_multiple_category: string;
        recommended_action: string;
        risks: string;
        exception_type: string;
        priority: string;
        associated_risks: string;
        oversight: string;
        add_risk_more_option: string;
        lables: string;
        reviewer: string;
        checkpoints: string;
        assessments: string;
        objectives: string;
        audit: string;
        roles: string;
        approval: string;
        recurring: string;
        lock_scope: string;
        custom_fields: string;
        link_risks: string;
        placeholder: string;
        add_logic: string;
        image_choice: string;
        logic_image_choice: string;
        thank_you_image: string;
        upload: string;
        select_users: string;
        everyone_as_per_category: string;
        bulb: string;
        enter_icon: string;
        im_creating: string;
        notes: string;
        attestations: string;
        risk_category: string;
        issue_type: string;
        type: string;
        search_data: string;
        approval_workflow: string;
        sequential: string;
        round_robin: string;
        anyone: string;
        collaborator: string;
    };
    updateFiles: EventEmitter<any>;
    mode: string;
    categories: any[];
    organization_id: any;
    set formatEvidanceData(value: any);
    isMandatory: boolean;
    isNewLinkDisabled: boolean;
    isEditDisabled: boolean;
    constructor(responsibilityService: ResponsibilityService, policyService: PolicyService, authService: AuthService, snackbarService: SnackBarService);
    formate: any;
    newLink: {
        link: string;
        containsError: boolean;
    };
    ngOnInit(): void;
    initializeData(settings: any, type: string): void;
    toggleIsFormateUpload(status: boolean): void;
    toggleIsFormatRequired(status: boolean): void;
    toggleAttachmentType(type: string): void;
    insertLink(mode: any, index?: number): void;
    editLink(index: number): void;
    deleteLink(index: number): void;
    resetNewLink(): void;
    private fileProcessing;
    onFileDropped(files: any): void;
    uploadFile(file: any, uid: string): void;
    deleteAttachment(index: number): void;
    emitValue(): void;
    getLinksArray(links: any): any;
    arraytoLinkObject(linksArray: any): any;
    isEditEnabled(): void;
    policyLinkSetList: string[];
    selectedLinkSetChange(event: any, index: number): void;
    addMoreDocumentsDetails(index: number): void;
    uploadPolicyAttachments(formData: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormatAndEvidenceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormatAndEvidenceComponent, "app-format-and-evidence", never, { "mode": { "alias": "mode"; "required": false; }; "categories": { "alias": "categories"; "required": false; }; "organization_id": { "alias": "organization_id"; "required": false; }; "formatEvidanceData": { "alias": "formatEvidanceData"; "required": false; }; "isMandatory": { "alias": "isMandatory"; "required": false; }; }, { "updateFiles": "updateFiles"; }, never, never, false, never>;
}
